Index: cpukit/libnetworking/ChangeLog
===================================================================
--- cpukit/libnetworking/ChangeLog	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/ChangeLog	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -1,2 +1,12 @@
+2002-07-30	Joel Sherrill <joel@OARcorp.com>
+
+	* machine/types.h: Removed as a simpler version of this file is
+	now part of the RTEMS newlib support.
+	* machine/Makefile.am, machine/endian.h, nfs/bootp_subr.c,
+	rtems/rtems_bsdnet_internal.h, sys/Makefile.am, sys/systm.h:
+	Minor modifications to use the simpler machine/types.h.  Mostly
+	more complete sets of #include's to account for machine/types.h
+	no longer doing this.
+
 2002-07-30	Jay Monkman <jtm@smoothsmoothie.com>
 
Index: cpukit/libnetworking/machine/Makefile.am
===================================================================
--- cpukit/libnetworking/machine/Makefile.am	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/machine/Makefile.am	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -6,6 +6,6 @@
 include_machinedir = $(includedir)/machine
 
-include_machine_HEADERS = conf.h cpu.h cpufunc.h endian.h in_cksum.h limits.h param.h \
-    types.h vmparam.h
+include_machine_HEADERS = conf.h cpu.h cpufunc.h endian.h in_cksum.h limits.h \
+    param.h vmparam.h
 
 PREINSTALL_FILES = $(PROJECT_INCLUDE)/machine \
Index: cpukit/libnetworking/machine/endian.h
===================================================================
--- cpukit/libnetworking/machine/endian.h	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/machine/endian.h	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -6,5 +6,5 @@
 #define _MACHINE_ENDIAN_H_
 
-#include <rtems/score/cpu.h>
+#include <rtems.h>
 
 /*
Index: ukit/libnetworking/machine/types.h
===================================================================
--- cpukit/libnetworking/machine/types.h	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * This file will have to be incorparated into the RTEMS source
- * tree (probably in the existing <machine/types.h> so that these
- * contents are included when an application source file includes
- * <sys/types.h>.
- *
- *  $Id$
- */
-
-#ifndef _MACHINE_TYPES_H_
-#define _MACHINE_TYPES_H_
-
-#include <rtems/system.h>
-#include <rtems/score/cpu.h>
-#include <machine/endian.h>
-
-typedef signed64	int64_t;
-typedef signed32	int32_t;
-typedef signed16	int16_t;
-typedef signed8		int8_t;
-
-typedef unsigned64	u_int64_t;
-typedef unsigned32	u_int32_t;
-typedef unsigned16	u_int16_t;
-typedef unsigned8	u_int8_t;
-
-#define	_CLOCK_T_	unsigned long
-#define	_TIME_T_	long
-#define _CLOCKID_T_     unsigned long
-#define _TIMER_T_       unsigned long
-
-#ifdef _COMPILING_BSD_KERNEL_
-#include <rtems/rtems_bsdnet_internal.h>
-#include <rtems/rtems_bsdnet.h>
-#endif
-
-#endif /* _MACHINE_TYPES_H_ */
Index: cpukit/libnetworking/nfs/bootp_subr.c
===================================================================
--- cpukit/libnetworking/nfs/bootp_subr.c	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/nfs/bootp_subr.c	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -74,4 +74,5 @@
 #include <fcntl.h>
 #include <rtems/mkrootfs.h>
+#include <rtems/rtems_bsdnet.h>
 
 #define BOOTP_MIN_LEN		300	/* Minimum size of bootp udp packet */
Index: cpukit/libnetworking/rtems/rtems_bsdnet_internal.h
===================================================================
--- cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -25,6 +25,6 @@
 
 /* make sure we get the network versions of these */
-#include "../machine/types.h"
-#include "../machine/param.h"
+#include <machine/types.h>
+#include <machine/param.h>
 
 #include <sys/time.h>
Index: cpukit/libnetworking/sys/Makefile.am
===================================================================
--- cpukit/libnetworking/sys/Makefile.am	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/sys/Makefile.am	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -5,6 +5,7 @@
 include_sysdir = $(includedir)/sys
 
+# param.h now in newlib 30 July 2002 Joel
 include_sys_HEADERS = buf.h callout.h conf.h domain.h kernel.h libkern.h \
-    malloc.h mbuf.h mount.h param.h proc.h protosw.h queue.h reboot.h \
+    malloc.h mbuf.h mount.h proc.h protosw.h queue.h reboot.h \
     resourcevar.h rtprio.h select.h signalvar.h socket.h socketvar.h \
     sysctl.h syslimits.h syslog.h systm.h ttydefaults.h ucred.h \
Index: cpukit/libnetworking/sys/systm.h
===================================================================
--- cpukit/libnetworking/sys/systm.h	(revision 5af0cf2fb28c54b0d8e748fb4c1c0e38a220bf2c)
+++ cpukit/libnetworking/sys/systm.h	(revision 9fcd1a1c58492117f4e90a74bedac55cd43f4d3d)
@@ -43,4 +43,5 @@
 #define	_SYS_SYSTM_H_
 
+#include <rtems/rtems_bsdnet_internal.h> /* for __BSD_VA_LIST__ */
 #include <machine/cpufunc.h>
 
